> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# reason

> GenericMDOProvider reads MDO lists with default settings

## "reason" MDO List

GenericMDOProvider reads MDO lists with default settings

Implemented by the <see cref="T:SuperOffice.CRM.Lists.GenericMDOProvider">GenericMDOProvider</see> class.
The name of the MDO list is 'reason'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/reason
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("reason", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name              | StyleHint | ExtraInfo |
| -- | ----------------- | --------- | --------- |
| 7  | Annet             |           |           |
| 4  | Budsjett kutt     |           |           |
| 5  | Forhold til kunde |           |           |
| 6  | Politikk internt  |           |           |
| 1  | Pris              |           |           |
| 2  | Produkt           |           |           |
| 3  | Service nivå      |           |           |

## Related MDO Lists

* "reasonheadings"
* "reasonheadingswithallitem"
* "reasonheadingswithallitemwithnoselection"
* "reasonheadingswithnoselection"
* "reasonwithallitem"
* "reasonwithallitemwithnoselection"
* "reasonwithnoselection"


## Related topics

- [NSReason](/en/automation/crmscript/reference/CRMScript.NetServer.NSReason.md)
- [Reason table](/en/database/tables/reason.md)
- [Delete Reason](/en/api/reference/restful/rest/list_reason/delete-reason.md)
- [Get Reason](/en/api/reference/restful/rest/list_reason/get-reason.md)
- [Post Reason](/en/api/reference/restful/rest/list_reason/post-reason.md)
- [Put Reason](/en/api/reference/restful/rest/list_reason/put-reason.md)
